system update not working

Asked by r.cooper4@btinternet.com on 2008-06-13

I cannot update This message appears
E:dpkg was interrupted you must manually run 'dpkg --configure -a' to correct the problem.
E: _cache->open() failed, please report.

Dimitrios Symeonidis (azimout) said : #1

Dear r.cooper4, thank you for reporting this issue.

Can you describe the circumstances of this happening? Have you tried running 'sudo dpkg --configure -a'? Does it fix the issue? Does it print any error messages?

Nick Ellery (nick.ellery) said : #2

Thanks for your bug report. Fortunately, this is a common support issue. Therefore, we are converting this report into a question, where you will be able to receive quick and easy support on your problem.

Nick Ellery (nick.ellery) said : #3

Nick Ellery suggests this article as an answer to your question:
FAQ #52: “'dpkg --configure -a' problem when trying to run Synaptic”.

Best Bhavani Shankar (bhavi) said : #4

Hello

To correct this problem just open Terminal (Applications → Accessories → Terminal) and type:

sudo dpkg --configure -a

Give your user password when requested. You will not see anything, but type it and press enter.

Then retry to update and/or to install desired package.

Regards

Bhavani Shankar.

Thanks once again
It worked and all is OK

kelly parker (kelly291281) said : #6

plz can anybody help, i have entered sudo dpkg --configure -a, put my password in enter and evryfing was fine but it still wont let me install adobe flash player, which is the best version to install and how do i do it???